[build-system]
requires = [ "setuptools>=61.0" ]
build-backend = "setuptools.build_meta"


[tool.setuptools.packages.find]
where = [ "." ]
include = ["celeste_ai*"]
namespaces = false


[project]
name = "celeste_ai"
description = "A reinforcement learning agent for Celeste Classic"
version = "1.0.0"
dependencies = [
	"matplotlib==3.6.3",
	"torch==1.13.1"
]
authors = [
	{ name="Mark", email="mark@betalupi.com" }
]
readme = "README.md"
requires-python = ">=3.7"
license = {text = "GNU General Public License v3 (GPLv3)"}
